package com.artfess.uc.api.impl.model.permission;

import com.artfess.uc.api.model.IPermission;

import java.util.Map;
import java.util.Set;



/**
 * 类 {@code NonePermission} 无权限
 * @company 阿特菲斯信息技术有限公司
 * @author heyifan
 * @email heyf@jee-soft.cn
 * @date 2018年7月5日
 */
public class NonePermission implements IPermission {

	@Override
	public String getTitle() {
		
		return "无";
	}

	@Override
	public String getType() {
		return "none";
	}

	

	@Override
	public boolean hasRight(String json, Map<String, Set<String>> currentMap) {
		return false;
	}

	@Override
	public Set<String> getCurrentProfile() {
		return null;
	}

}
